# Weavr Multi Product BackOffice API

Weavr Multi Back Office API allows you, as an innovator, to perform various back office operations concerning
identities and their instruments, without requiring the users to be logged in.

A token is to be obtained through the `access_token` method, and this will allow relevant operations
to be performed on behalf of this same identity.


Version: v3

## Servers

Weavr Sandbox Environment
```
https://sandbox.weavr.io/multi/backoffice
```

## Security

### api_key

The API Key representing your Multi account.

Type: apiKey
In: header
Name: api-key

### auth_token

The authentication token representing the user. This will be included in the login response object.

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Weavr Multi Product BackOffice API](https://api.weavr.io/_bundle/products/multi-backoffice/openapi.yaml)

## Access Token

 - [POST /access_token](https://api.weavr.io/products/multi-backoffice/openapi/access-token/requestaccesstoken.md): Acquire a `Bearer` token granting you access to securely perform delegated access operations on behalf of the given `identity`. The token representing the identity should be included in the `Authoriza
## User Impersonation

 - [POST /impersonate_identity_login](https://api.weavr.io/products/multi-backoffice/openapi/user-impersonation/impersonateidentitylogin.md): Get a token representing the given `identity`. This token can then be used to authorise certain secure operations on behalf of the identity.
## Corporates

 - [POST /corporates/fees/charge](https://api.weavr.io/products/multi-backoffice/openapi/corporates/corporatechargefee.md): Charge a fee to the corporate identified by the auth token, based on a pre-defined custom fee. Custom fees can be configured in the Multi Portal. The fees collected will be deposited into your Revenu
## Consumers

 - [POST /consumers/fees/charge](https://api.weavr.io/products/multi-backoffice/openapi/consumers/consumerchargefee.md): Charge a fee to the logged-in consumer based on a pre-defined custom fee. Custom fees can be configured in the Multi Portal. The fees collected will be deposited into your Revenue Account. The balanc
## Authorised Users

 - [POST /users](https://api.weavr.io/products/multi-backoffice/openapi/authorised-users/usercreate.md): Creates a user linked to the identity represented by the `access_token`. Creating authorised users on behalf of an identity is a restricted feature and by default, this functionality is not available
 - [POST /users/{user_id}/deactivate](https://api.weavr.io/products/multi-backoffice/openapi/authorised-users/userdeactivate.md): De-activate the user identified by the `user_id` path parameter. Deactivated users cannot log in or execute any operations with their credentials. This operations is not final and a user can be re-act
 - [POST /users/{user_id}/invite](https://api.weavr.io/products/multi-backoffice/openapi/authorised-users/userinvitesend.md): Once a user is created using the `userCreate` operation, the user needs to setup his/her password. An invitation needs to be sent to the user in order to be able to set up the password for the first t
## Managed Accounts

 - [GET /managed_accounts/{id}](https://api.weavr.io/products/multi-backoffice/openapi/managed-accounts/managedaccountget.md): Fetch the managed account identified by the `id` in path.
 - [GET /managed_accounts/{id}/statement](https://api.weavr.io/products/multi-backoffice/openapi/managed-accounts/managedaccountstatement.md): Returns a list of transactions against the managed account identified by the `id` path parameter, matching the criteria provided in the request.
## Managed Cards

 - [GET /managed_cards/{id}](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardget.md): Returns all details of the managed card identified by the `id` path parameter.
 - [PATCH /managed_cards/{id}/renewal](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardrenewaltypeupdate.md): Update the renewal type of the managed card identified by the `id` path parameter. Please contact our support team or your account manager to request access to this endpoint.
 - [POST /managed_cards/{id}/remove](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardremove.md): Destroys the managed card identified by the `id` path parameter. Unlike block, this action is not reversible. A managed card must be empty before it can be destroyed using this operation.
 - [POST /managed_cards/{id}/block](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardblock.md): Blocks the managed card identified by the `id` path parameter. This is a reversible action and the card can be unblocked using the *managedCardUnblock* operation.
 - [POST /managed_cards/{id}/unblock](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardunblock.md): Unblocks the managed card identified by the `id` path parameter. The managed card must have `state.blockedReason` as `USER` so that it can be unblocked. If the managed card was blocked by `SYSTEM`, us
 - [GET /managed_cards/{id}/spend_rules](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardspendrulesget.md): Fetch the list of spend rules associated with the managed card identified by the `id` path parameter.
 - [POST /managed_cards/{id}/spend_rules](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardspendrulescreate.md): Create the spend rules associated with the managed card identified by the `id` path parameter.
 - [PATCH /managed_cards/{id}/spend_rules](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardspendrulesupdate.md): Must be user after a POST, to update individual spend rules associated with the managed card identified by the `id` path parameter.
 - [DELETE /managed_cards/{id}/spend_rules](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardspendrulesdelete.md): Remove all spend rules associated with the managed card identified by the `id` path parameter.
 - [GET /managed_cards/{id}/statement](https://api.weavr.io/products/multi-backoffice/openapi/managed-cards/managedcardstatement.md): Returns a list of transactions against the managed card identified by the `id` path parameter, matching the criteria provided in the request.
## Transfers

 - [POST /transfers](https://api.weavr.io/products/multi-backoffice/openapi/transfers/transfercreate.md): Transfers funds between managed accounts and managed cards belonging to the same corporate or consumer identity. The Transfer Profile (configured in the Multi Portal) specified determines the behavio
 - [GET /transfers](https://api.weavr.io/products/multi-backoffice/openapi/transfers/transfersget.md): Retrieves all the transfer transactions performed by the logged-in identity.
 - [GET /transfers/{id}](https://api.weavr.io/products/multi-backoffice/openapi/transfers/transferget.md): Retrieve the transfer transaction identified by the `id` path parameter.
## Fees

 - [POST /fees/charge](https://api.weavr.io/products/multi-backoffice/openapi/fees/chargefee.md): Charge a fee to the identity identified by the auth token, based on a pre-defined custom fee. Custom fees can be configured in the Multi Portal. The fees collected will be deposited into your Revenue
## Operations

 - [PATCH /bulks/managed_cards/_id_/spend_rules](https://api.weavr.io/products/multi-backoffice/openapi/operations/bulksmanagedcardspendrulesupdate.md): Submit the details to update the spend rules of Managed Cards. The bulkId returned in the response can subsequently be used to launch the updating of Managed Card spend rules process through [Execute
 - [POST /bulks/transfers](https://api.weavr.io/products/multi-backoffice/openapi/operations/bulkstransfercreate.md): Submit the details for the creation of a batch of Transfers. The bulkId returned in the response can subsequently be used to launch the execution of the bulk process through [Execute Bulk Process](#ta
## Manage

 - [GET /bulks](https://api.weavr.io/products/multi-backoffice/openapi/manage/bulks.md): Filter bulk processes.
 - [GET /bulks/{bulk_id}](https://api.weavr.io/products/multi-backoffice/openapi/manage/bulkid.md): Retrieves details on the bulk process identified by the bulk_id parameter.
 - [GET /bulks/{bulk_id}/operations](https://api.weavr.io/products/multi-backoffice/openapi/manage/bulkidoperations.md): Retrieves the bulk process operations that match the query parameters.
 - [POST /bulks/{bulk_id}/execute](https://api.weavr.io/products/multi-backoffice/openapi/manage/bulkidexecute.md): Launches execution of operations of any bulk process identified by the bulk_id parameter. The status of the bulk process has to be in a ‘SUBMITTED’ state and after execution initiates, the bulk proce
 - [POST /bulks/{bulk_id}/pause](https://api.weavr.io/products/multi-backoffice/openapi/manage/bulkidpause.md): Pauses the execution of operations of the bulk process that is in state ‘RUNNING’ as identified by the bulk_id parameter. The status of the bulk process after execution of this operation is set to ‘P
 - [POST /bulks/{bulk_id}/resume](https://api.weavr.io/products/multi-backoffice/openapi/manage/bulkidresume.md): Resumes the execution of operations of the bulk process that is in state ' PAUSED' as identified by the bulk_id parameter. The status of the bulk process after execution of this operation is set back
 - [POST /bulks/{bulk_id}/cancel](https://api.weavr.io/products/multi-backoffice/openapi/manage/bulkidcancel.md): Cancels the execution of operations of a bulk process that is in state ‘PAUSED’ or ‘RUNNING’ as identified by the bulk_id parameter. The status of the bulk process after execution of this operation is
